=== modified file 'bzrlib/tests/test_sftp_transport.py'
--- bzrlib/tests/test_sftp_transport.py	2006-09-15 17:14:38 +0000
+++ bzrlib/tests/test_sftp_transport.py	2006-09-15 22:18:19 +0000
@@ -21,7 +21,7 @@
 
 import bzrlib.bzrdir as bzrdir
 import bzrlib.errors as errors
-from bzrlib.osutils import pathjoin, lexists
+from bzrlib.osutils import pathjoin, lexists, set_or_unset_env
 from bzrlib.tests import TestCaseWithTransport, TestCase, TestSkipped
 import bzrlib.transport
 import bzrlib.transport.http
@@ -197,6 +197,21 @@
                     'invalid port number ~janneke in url:\n'
                     'sftp://lilypond.org:~janneke/public_html/bzr/gub ')
 
+    def test_get_paramiko_vendor(self):
+        """Test that if no 'ssh' is available we get builtin paramiko"""
+        from bzrlib.transport import ssh
+        # set '.' as the only location in the path, forcing no 'ssh' to exist
+        orig_vendor = ssh._ssh_vendor
+        orig_path = set_or_unset_env('PATH', '.')
+        try:
+            # No vendor defined yet, query for one
+            ssh._ssh_vendor = None
+            vendor = ssh._get_ssh_vendor()
+            self.assertIsInstance(vendor, ssh.ParamikoVendor)
+        finally:
+            set_or_unset_env('PATH', orig_path)
+            ssh._ssh_vendor = orig_vendor
+
 
 class SFTPBranchTest(TestCaseWithSFTPServer):
     """Test some stuff when accessing a bzr Branch over sftp"""

